API referenceWhatsapp messages
POST
/whatsapp/api/v1/messages/{id}/forward

Into another chat of the same number that already has a conversation (start new ones with POST /chats).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A WhatsApp message id (wam_…), as listed in a chat's messages.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/whatsapp/api/v1/messages/wam_P7tR2wQ9zL4kN8vX/forward" \  -H "Content-Type: application/json" \  -d '{    "chat_id": "wac_k3J9sLq2Vx8nB4mR"  }'
{  "object": "MessageForwarded",  "message_id": "wam_P7tR2wQ9zL4kN8vX"}